#ifndef DEVEL__MKMED__CONSTANTS_H
#define DEVEL__MKMED__CONSTANTS_H

enum { null };
#define null ((void*)null)

static int const fileno_stdin=0;
static int const fileno_stdout=1;
static int const fileno_stderr=2;

static char const fatal[]=": fatal: ";
static char const warning[]=": warning: ";
static char const usage[]=": usage: ";

static char const err_notset[]=" not set";
static char const err_malformed[]=" malformed";
static char const err_oflow[]=" overflows ";
static char const err_setvar[]="set ";
static char const err_unable[]="unable to ";
static char const err_alloc[]="allocate memory";
static char const err_chdirto[]="chdir to ";
static char const err_chrootto[]="chroot to ";
static char const err_create[]="create ";
static char const err_open[]="open ";
static char const err_close[]="close ";
static char const err_pipe[]="pipe";
static char const err_chown[]="chown ";
static char const err_chmod[]="chmod ";
static char const err_exec[]="execute ";
static char const err_stat[]="stat ";
static char const err_rename[]="rename ";
static char const err_setuidto[]="setuid to ";
static char const err_setgidto[]="setgid to ";
static char const err_fork[]="fork";
static char const err_pgid[]="set process group id";
static char const err_sid[]="set session id";
static char const err_wait[]="wait for child";
static char const err_tcgetattr[]="get terminal attributes";
static char const err_tcsetattr[]="set terminal attributes";
static char const err_empty[]="empty";
static char const err_fill[]="fill";
static char const err_addto[]="add to";
static char const err_delfrom[]="remove from";
static char const err_sigset[]=" signal set";
static char const err_sigact[]="set signal action";
static char const err_sigmask[]="set signal mask";
static char const err_suspend[]="suspend";
static char const err_timer[]="set timer";
static char const err_unknown[]="unknown error";
static char const err_[]=": ";

static char const var_uid[]="$UID";
static char const var_gid[]="$GID";
static char const var_root[]="$ROOT";

#endif
